package ru.yandex.qe.dispenser.api.v1.response;

import java.util.Collection;

public class DiQuotaChangeResponse extends DiListResponse<DiOperationResult> {
    public DiQuotaChangeResponse(final Collection<DiOperationResult> result) {
        super(result);
    }

    public boolean isSuccess() {
        return this.stream().allMatch(DiOperationResult::isSuccess);
    }
}
